List All Gifts
curl --request GET \
--url https://prod-api.raisedonors.com/api/Gift/list \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Gift/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Gift/list"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Gift/list");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Gift/list';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"id": 602401,
"currency": "USD",
"amount": 50,
"formattedAmount": "$50.00",
"date": "2025-11-15T03:00:00",
"createdDate": "2025-11-15T03:00:00",
"modifiedDate": "2025-11-15T03:00:02",
"statusText": "Settled",
"gateway": "Riverside Hope — Stripe",
"transactionId": "ch_3QU4d1Hs1Yb4Lm2A",
"donationId": "RD-602401",
"paymentInfo": "Visa •••• 4242",
"paymentType": "Credit Card",
"campaignName": "Monthly Giving Society",
"donorId": 200456,
"billingName": "Priya Sharma",
"recurringGiftId": 700089,
"canRefund": true,
"donorPaidCosts": false,
"projects": [
{
"projectId": 3010,
"name": "General Operating Support",
"amount": "$50.00",
"currencyExchange": null
}
],
"recurringScheduleInfo": {
"amount": "$50.00",
"currencyCode": "USD",
"frequency": "Monthly",
"statusText": "Active",
"successfulCycles": 34,
"startDate": "2023-02-15",
"nextCharge": "2025-12-15",
"currentCharge": "2025-11-15",
"previousCharge": "2025-10-15"
},
"isAnonymous": false,
"isTestMode": false
},
{
"id": 602347,
"currency": "USD",
"amount": 250,
"formattedAmount": "$250.00",
"date": "2025-11-12T12:42:11",
"createdDate": "2025-11-12T12:42:11",
"modifiedDate": "2025-11-12T12:42:14",
"statusText": "Settled",
"gateway": "Riverside Hope — Stripe",
"authorizationNumber": "AUTH210983",
"transactionId": "ch_3QT1p8Hs1Yb4Lm0Z",
"donationId": "RD-602347",
"paymentInfo": "Mastercard •••• 1234",
"paymentType": "Credit Card",
"segment": "GT25-SOCIAL",
"campaignName": "Giving Tuesday 2025",
"segmentName": "Giving Tuesday Social",
"donorId": 202999,
"billingName": "Anonymous",
"recurringGiftId": null,
"giftAidRequested": false,
"canRefund": true,
"donorPaidCosts": false,
"submissionUrl": "https://riversidehope.example.org/give/giving-tuesday-2025",
"projects": [
{
"projectId": 3014,
"name": "Giving Tuesday 2025",
"amount": "$250.00",
"currencyExchange": null
}
],
"form": {
"id": 305,
"title": "Giving Tuesday 2025 Form",
"landingUrl": "https://riversidehope.example.org/give/giving-tuesday-2025",
"referringUrl": "https://www.riversidehope.example.org/giving-tuesday",
"isLegacy": false
},
"isAnonymous": true,
"isTestMode": false
},
{
"id": 602198,
"currency": "USD",
"amount": 1000,
"formattedAmount": "$1,000.00",
"date": "2025-10-12T11:04:37",
"createdDate": "2025-10-12T11:04:37",
"modifiedDate": "2025-10-12T11:04:41",
"statusText": "Settled",
"gateway": "Riverside Hope — Stripe",
"authorizationNumber": "AUTH204417",
"transactionId": "ch_3QK7f2Hs1Yb4Lm0T",
"donationId": "RD-602198",
"paymentInfo": "Visa •••• 4111",
"paymentType": "Credit Card",
"segment": "YE25-EMAIL",
"motivation": "YE25-EMAIL",
"campaignName": "Year-End Giving 2025",
"segmentName": "Year-End Email",
"notes": "Board member gift; acknowledge by letter.",
"comment": "Happy to support the holiday meals program again this year.",
"donorId": 200234,
"billingName": "Marcus Castellano",
"shippingName": null,
"recurringGiftId": null,
"giftAidRequested": false,
"canRefund": true,
"donorPaidCosts": true,
"paymentProviderTransactionUrl": "https://dashboard.stripe.com/payments/ch_3QK7f2Hs1Yb4Lm0T",
"submissionUrl": "https://riversidehope.example.org/give/year-end-appeal",
"billingAddress": {
"id": 400101,
"donorId": 200234,
"isPrimary": true,
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"countryString": "United States",
"addressTypeDisplay": "Home"
},
"shippingAddress": null,
"projects": [
{
"projectId": 3012,
"name": "Year-End 2025 — Holiday Meals",
"amount": "$1,000.00",
"currencyExchange": null
}
],
"form": {
"id": 306,
"title": "Year-End Appeal Form",
"landingUrl": "https://riversidehope.example.org/give/year-end-appeal",
"referringUrl": "https://www.riversidehope.example.org/year-end",
"isLegacy": false
},
"donorStatistic": {
"totalGift": "47",
"totalGiftAmount": "$42,500.00",
"lastGiftAmount": "$1,000.00"
},
"recurringScheduleInfo": null,
"tribute": null,
"donor": {
"id": 200234,
"name": "Marcus Castellano",
"title": "Mr.",
"firstName": "Marcus",
"middleName": "David",
"lastName": "Castellano",
"suffix": null,
"email": "marcus.castellano@example.org",
"phone": "(555) 012-3401",
"createdDate": "2018-09-15T14:22:31Z",
"modifiedDate": "2025-10-12T09:15:42Z",
"notes": "Board member. Prefers email for receipts and annual reports.",
"isOrganization": false,
"organizationName": null,
"crmKeyUrls": {
"VirtuousCRM": {
"crmKey": "100234",
"url": "https://app.virtuoussoftware.com/Generosity/Contact/Detail/100234"
}
},
"crmKey": "100234",
"crmSecondKey": null,
"isTestMode": false,
"isArchived": false,
"isGDPRDeleted": false,
"primaryAddress": {
"id": 400101,
"donorId": 200234,
"isPrimary": true,
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"countryString": "United States",
"addressTypeDisplay": "Home"
},
"donorAddresses": [
{
"id": 400101,
"donorId": 200234,
"isPrimary": true,
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"countryString": "United States",
"addressTypeDisplay": "Home"
}
],
"donorEmailAddresses": [
{
"id": 300101,
"donorId": 200234,
"typeDisplay": "Home Email",
"value": "marcus.castellano@example.org",
"secondaryValue": null,
"isPrimary": true,
"isOptedIn": true,
"isValid": true,
"isEmail": true,
"isPhone": false,
"isBounced": false,
"countryCode": null
}
],
"donorPhoneNumbers": [
{
"id": 300102,
"donorId": 200234,
"typeDisplay": "Mobile Phone",
"value": "(555) 012-3401",
"secondaryValue": null,
"isPrimary": true,
"isOptedIn": true,
"isValid": true,
"isEmail": false,
"isPhone": true,
"isBounced": false,
"countryCode": "1"
},
{
"id": 300103,
"donorId": 200234,
"typeDisplay": "Home Phone",
"value": "(555) 012-3400",
"secondaryValue": null,
"isPrimary": false,
"isOptedIn": true,
"isValid": true,
"isEmail": false,
"isPhone": true,
"isBounced": false,
"countryCode": "1"
}
]
},
"isAnonymous": false,
"isTestMode": false,
"virtualTerminalId": null,
"virtualTerminal": null,
"googleUtmCampaign": "year-end-2025",
"googleUtmMedium": "email",
"googleUtmSource": "newsletter",
"motivationCodeGroupId": 720,
"motivationCodeGroupName": "Year-End 2025 Appeals",
"motivationCodeId": 6120,
"motivationCodeName": "Year-End Email Appeal",
"currencyExchange": null
}
],
"total": 3106
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"take": [
"take must be between 1 and 1000."
]
},
"instance": "/api/Gift/list"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Gift/list"
}Gift
List All Gifts
Returns a paginated list of gifts, newest first by default.
GET
https://prod-api.raisedonors.com
/
api
/
Gift
/
list
List All Gifts
Use
filter for a free-text search, sortBy=amount, date, or donorname with descending to order the results, and includeDetails=true to include each gift’s related records such as the donor, gateway, and segment. For condition-based searches, use Query Gifts.Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
A free-text search term. Only gifts matching the term — by donor, amount, or transaction ID — are returned.
The number of records to skip before the first record returned. Use it with take to page through the results.
The maximum number of records to return in this page of results.
Field to sort by (case-insensitive). Valid options: amount, date, donorname, id, status
Available options:
amount, date, donorname, id, status The direction to sort the results. Set to true to sort in descending order.
When true, each gift includes its related records, such as the donor, gateway, and segment. This can slow down large result sets.
Last modified on July 28, 2026
Was this page helpful?
⌘I